Redmine - Feature #16180

Expose Public/Private via API
2014-02-26 11:05 - Stephen Fine

Status: Closed Start date:

Priority: Urgent Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

I am trying to extend the API to return the "private" journal field.

The API obeys user authentication with displaying whether or not the journal is returned but | would like to know if the note is private
if it is returned.

The issues_controller.rb file seems to use the standard format.api method (line 128) but that does not return this field.

Is there any easy way to force this?

Related issues:
Is duplicate of Redmine - Feature #10914: Include is_private setting in xml/j... Closed

History

#1 - 2014-02-27 12:33 - Stephen Fine
- Status changed from New to Resolved
Soln is as follows for anyone that needs it:

diff -r redmine-2.4.3/app/views/issues/index.api.rsb redmine-2.4.3_updated/app/views/issues/index.api.rsb
26a27,28

api.is_private issue.is_private

diff -r redmine-2.4.3/app/views/issues/show.api.rsb redmine-2.4.3_updated/app/views/issues/show.api.rsb
19a20

api.is_private @issue.is_private

#2 - 2016-12-11 13:45 - Go MAEDA

- Is duplicate of Feature #10914: Include is_private setting in xml/json output added

#3 - 2016-12-11 13:46 - Go MAEDA
- Status changed from Resolved to Closed

- Resolution set to Duplicate

Implemented by #10914 (Redmine 2.6.0).
